diff --git a/src/pluginmanager.h b/src/pluginmanager.h
index 2c485e8..090d8b9 100644
--- a/src/pluginmanager.h
+++ b/src/pluginmanager.h
@@ -13,6 +13,7 @@
 #include <QDomElement>
 
 class QPluginLoader;
+class QAction;
 
 class PsiAccount;
 class PsiPlugin;
@@ -46,11 +47,26 @@ public:
 	QWidget* optionsWidget(const QString& plugin);
 
 	bool processEvent(const PsiAccount* account, QDomElement& eventXml);
-	bool processMessage(const PsiAccount* account, const QString& jidFrom, const QString& body, const QString& subject);
+	bool processMessage(const PsiAccount* account, const QString& jidFrom,
+	                    QString& body, QString& subject);
+	bool processMessage(const PsiAccount* account, const QString& jidFrom,
+	                    QDomElement& htmlBody, QString& subject);
 	
+	bool processOutgoingMessage(const PsiAccount* account, const QString& jidTo,
+	                            QString& body, QString& subject);
+
+	void logout(const PsiAccount* account);
+	void contactOnline(const PsiAccount* account, const QString& jid);
+	void contactOffline(const PsiAccount* account, const QString& jid);
+
 	static const QString loadOptionPrefix;
 	static const QString pluginOptionPrefix;
-	
+
+    QList<QAction*> getChatDlgMenuEntries(QWidget* parent,
+                                          const PsiAccount* account,
+                                          const QString& otherjid);
+
+
 private:
 	PluginManager();
 	void loadAllPlugins();
